<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>formulaire</title>
</head>
<body>
<f:view>
<h:form>
		<!-- ################## Name (Nom) ############################# -->
		<h:panelGrid columns="3">
			<h:outputText value="#{varLangue.nom} : "></h:outputText>
			
				<h:inputText id="idname"
					value="#{personneDTO.nom}"
					 required="true" 
					 requiredMessage="#{varLangue.messageChampVide}">
					 <f:validateLength minimum="2"/>
					 <f:validator validatorId="nameValidator"/>
				</h:inputText>
				<h:message for="idname"></h:message>
				
		<!-- ################## First name(Prnom )############################# -->
		<h:outputText value="#{varLangue.prenom} : "></h:outputText>
			
				<h:inputText id="idfirstname"
					value="#{personneDTO.prenom}"
					 required="true" 
					 requiredMessage="#{varLangue.messageChampVide}">
					 <f:validateLength minimum="2"/>
					 <f:validator validatorId="nameValidator"/>
				</h:inputText>
				<h:message for="idfirstname"></h:message>
				
				
	<!-- ################## Age  ############################# -->
				<h:outputText value="#{varLangue.age} : "></h:outputText>
			
				<h:inputText id="idAge" value="#{personneDTO.age}" 
				             binding="#{ageYearVailidator.age}">
					 
					 <f:converter converterId="ageConverter"/>
				</h:inputText>
				<h:message for="idAge"></h:message>
						
			
			
		<!-- ################ Gender ou Genre  ################### -->	
			<h:outputText value="#{varLangue.sexe} : "></h:outputText>
			
				<h:selectOneRadio id="idSexe" 
								 value="#{personneDTO.sexe}"
				                 required="true" 
				                 requiredMessage="#{varLangue.messageGenre}" >
				                 
				<f:selectItem itemLabel="#{varLangue.femme}" itemValue="#{varLangue.femme}" id="itemsexe1"/>
				<f:selectItem itemLabel="#{varLangue.homme}" itemValue="#{varLangue.homme}" id="itemsexe2"/>
				</h:selectOneRadio>
				<h:message for="idSexe"></h:message>
				
				<!-- ################ date of birth  ################### -->
				<h:outputText value="#{varLangue.dateNaissance} : "></h:outputText>		
				
				<h:inputText id="idBirthDay"
				             value="#{personneDTO.dateDeNaissance}" 
				     converterMessage="#{varLangue.messageDate}" 
				     validator="#{ageYearVailidator.compareAgeAnnee}"> 
					 <f:convertDateTime  type="date" dateStyle="short"/>
				</h:inputText>
				<h:message for="idBirthDay"></h:message>
					
				
			
				  			
	<!-- ################ Action to do (action  effectuer)  ################### -->		
			<h:outputText value="#{varLangue.action} : "></h:outputText>
			
				<h:selectOneMenu value="#{personneDTO.action}" 
				                 required="true" 
				                 requiredMessage="#{varLangue.messageMenu}" id="idMenu">
				<f:selectItem itemLabel=""  itemValue="" id="itemaction1"/>
				<f:selectItem itemLabel="#{varLangue.enregistrerDonnee}" itemValue="1" id="itemaction2"/>				
				<f:selectItem itemLabel="#{varLangue.effacerDonnee}" itemValue="2" id="itemaction3"/>
				<f:selectItem itemLabel="#{varLangue.lireDonnee}" itemValue="3" id="itemaction4"/>
				</h:selectOneMenu>  
		        <h:message for="idMenu"></h:message>
					
			
		</h:panelGrid>
		<br/>
		<h:commandButton value="#{varLangue.valider}"   action="confirmerDonnee"></h:commandButton>
		</h:form>
</f:view>
</body>
</html>