package model.personne.validator;

import java.util.Calendar;
import java.util.Date;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.validator.ValidatorException;

public class AgeYearValidator {
	UIInput age;// this property is bind with the component having  as id idAge
	
	
/************************************************************************************************************
 *goal : compare the value of age and  year , throw an exception if the conformity is wrong
 *@author kissangou
 *@param faces : the context
 *@param component : the graphical component
 *@param  dateOfbirth : date of birth
 *@return void 
 *************************************************************************************************************/
	public void compareAgeAnnee(FacesContext faces, UIComponent component, Object dateOfbirth)throws ValidatorException
	{
		
		Calendar dateCalendar=Calendar.getInstance();//date and time of this moment
		dateCalendar.setTime((Date)dateOfbirth);
		int anneeNaissance=dateCalendar.get(Calendar.YEAR);//we recover the date of birth
		int anneeEncours=Calendar.getInstance().get(Calendar.YEAR);// this year
		Integer ageDonne=(Integer)age.getValue();//we get the age
		if(ageDonne!=(anneeEncours-anneeNaissance))
		{
			throw new ValidatorException(new FacesMessage("Age non conforme  l'anne de naissance!!!"));//error : there is not conformity between age and year given 
		}
				
	}
	
	//getter and setter of age	
	public UIInput getAge() {
		return age;
	}

	public void setAge(UIInput age) {
		this.age = age;
	}

}
